<?php

if( ! class_exists('Ph_Bookings_Notification_Settings') ) {
	class Ph_Bookings_Notification_Settings {

		public $settings_id = 'ph_booking_settings_notifications';
		public function __construct() {
			if( isset($_POST['ph_bookings_notification_email_content']) )
				$this->save_settings();
			$this->init();
		}

		public function init() {
			
			$this->settings 		= get_option( $this->settings_id, array() );;
			$this->enabled			= ! empty($this->settings['enable']) ? $this->settings['enable'] : false;
			$this->email_subject	= ! empty($this->settings['email_subject']) ? $this->settings['email_subject'] : __( 'Bookings Reminders', 'ph-bookings-reminder-notifications');
			$this->email_content	= ! empty($this->settings['email_content']) ? $this->settings['email_content'] : Ph_Booking_Reminder_Common::get_default_email_content();
			$this->notification_time	= ! empty($this->settings['notification_time']) ? $this->settings['notification_time'] : 60;
			add_action(	'admin_menu', array( $this, 'ph_booking_admin_submenu' ), 11 );
		}

		/**
		 * Add SubMenu to Bookings Menu.
		 */
		public function ph_booking_admin_submenu() {
			add_submenu_page(
				"bookings",
				"Booking Notification Settings",
				__("Notifications",'bookings-and-appointments-for-woocommerce'),
				"manage_options",
				"bookings-notification-settings", 
				array( $this, "notification_settings_page" )
			);
		}

		/**
		 * Settings Page
		 */
		public function notification_settings_page(){
			include 'ph-settings-html.php';
		}

		/**
		 * Save Settings
		 */
		public function save_settings() {
			$settings = array(
				'enable'		=>	isset($_POST['ph_bookings_enable_notifications']) ? true : false,
				'email_subject'	=>	$_POST['ph_bookings_notification_email_subject'],
				'email_content'	=>	$_POST['ph_bookings_notification_email_content'],
				'notification_time'	=>	$_POST['ph_bookings_notification_time']
			);
			update_option( $this->settings_id, $settings );
		}

	}
}

new Ph_Bookings_Notification_Settings();