<?php
/**
 * Plugin Name: Bookings Reminders Notifications
 * Plugin URI: https://pluginhive.com/
 * Description: An Add-on for PluginHive Woocommerce Bookings to send email reminder notifications
 * Version: 1.0.2
 * Author: Pluginhive
 * Author URI: https://pluginhive.com
 * Text Domain: ph-bookings-reminder-notifications
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

register_activation_hook(__FILE__, function() {
    if (! wp_next_scheduled ( 'ph_bookings_notification_cron' )) {
		wp_schedule_event(time(), 'booking_reminder_interval', 'ph_bookings_notification_cron');
    }
});

register_deactivation_hook(__FILE__, 'ph_bookings_reminder_email_event_deactivation');
function ph_bookings_reminder_email_event_deactivation() {
	wp_clear_scheduled_hook('ph_bookings_notification_cron');
}
// Include Common File
if( ! class_exists('Ph_Booking_Reminder_Common') )
	include_once 'dependencies/class-ph-booking-reminder-common.php';

// Define PH_BOOKINGS_REMINDER_PLUGIN_FILE.
if ( ! defined( 'PH_BOOKINGS_REMINDER_PLUGIN_FILE' ) )
	define( 'PH_BOOKINGS_REMINDER_PLUGIN_FILE', __FILE__ );

if( ! class_exists('Ph_Bookings_Reminders') ) {
	class Ph_Bookings_Reminders {

		/**
		 * Constructor
		 */
		public function __construct() {
			$this->init();
			add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), array( $this, 'plugin_action_links' ) );
		}

		/**
		 * Init
		 */
		public function init(){
			$this->settings = Ph_Booking_Reminder_Common::get_booking_reminder_settings();
			if( ! class_exists('Ph_Bookings_Notification_Settings') )
				include_once 'includes/class-ph-bookings-notification-settings.php';

			// Include Send Email File
				if( ! class_exists('Ph_Bookings_Send_Email_Notification') )
					include_once 'includes/class-ph-bookings-send-notification-emails.php';
		}

		function plugin_action_links( $links ) {
		
			$plugin_links = array(
				'<a href="'.admin_url('admin.php?page=bookings-notification-settings').'" >' . __('Settings', 'ph-bookings-reminder-notifications') . '</a>',
			);
			return array_merge( $plugin_links, $links );
		
		}

	}
}
new Ph_Bookings_Reminders();